[ Maverik Level 1 functions ]

#

mav_paletteLightPos

## Summary

Set palette light position.

## Syntax

void mav_paletteLightPos(MAV_palette *p, int index, MAV_vector pos);

- MAV_palette *p
  Palette to set.

- int index
  Index into lights table, in range 0..`mav_opt_maxLights` (default 5).

- MAV_vector pos
  Position vector.

## Description

This function sets the position of the light at entry `index` in the light table of palette `p` to be `pos`. By default lights are positioned relative to the eye point and, once defined, follow the eyepoint to give a car-headlight effect. Use `mav_paletteLightPositioning` to specify that a light should have an absolute fixed position defined in world coordinates.

Back to the index page.